Bug 124894 - Gedit's file open dialog box gets corrupted
Gedit's file open dialog box gets corrupted
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-01 03:55 EDT by Ian Laurie
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 13:24:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Laurie 2004-06-01 03:55:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
The file open dialog left hand box gets corrupted.  It should list:

Home
Desktop
Filesystem
Floppy
CD-ROM

but instead it lists:

Home
Desktop
doc
Floppy
CD-ROM

The "doc" has replaced "Filesystem".


Version-Release number of selected component (if applicable):
gedit-2.6.0-4

How reproducible:
Always

Steps to Reproduce:
1. Launch gedit with modified rc.local (see below)
2. Hit the "open" button.
3. Observe the dialog box.
    

Actual Results:  The left part says "doc" in place of "Filesystem".

Expected Results:  It should list "Filesystem", and should not list
"doc" at all.

Additional info:

I have the following lines in my /etc/rc.d/rc.local file:

mount --bind /usr/share/doc /var/ftp/doc
mount --bind /mnt/caddy/public /var/ftp/pub

If I run gedit, observe the problem, then "umount /var/ftp/doc" and
launch the file open dialog again (without even restarting gedit) the
problem goes away.  The problem always happens to "doc", regardless of
the ordering of the mounts in the rc.local file.

BTW this ftp site is available to a local LAN only.
Comment 1 Ian Laurie 2004-06-07 22:13:51 EDT
This bug only seems to appear when running getit under GNOME.  Under
KDE the "file dialog" works OK.

The bug may be in GNOME rather than gedit, in which case other "file
open" dialogs may be impacted as well.
Comment 2 Ian Laurie 2004-08-07 19:55:05 EDT
This bug was actually in gnome-vfs, and it has been fixed:

http://bugzilla.gnome.org/show_bug.cgi?id=139854

Any chance of getting the fix via an FC2 update ?  This one is causing
me much grief.
Comment 3 Jonathan Blandford 2004-09-02 13:24:45 EDT
We're not likely to do an update for this.  You can try gnome-vfs2
from rawhide.  It seems fixed there.

Note You need to log in before you can comment on or make changes to this bug.